Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DLASD5

    java.lang.Object
      org.netlib.lapack.DLASD5

    public class DLASD5

extends java.lang.Object

    DLASD5 is a simplified interface to the JLAPACK routine dlasd5.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  This subroutine computes the square root of the I-th eigenvalue
     *  of a positive symmetric rank-one modification of a 2-by-2 diagonal
     *  matrix
     *
     *             diag( D ) * diag( D ) +  RHO *  Z * transpose(Z) .
     *
     *  The diagonal entries in the array D are assumed to satisfy
     *
     *             0 <= D(i) < D(j)  for  i < j .
     *
     *  We also assume RHO > 0 and that the Euclidean norm of the vector
     *  Z is one.
     *
     *  Arguments
     *  =========
     *
     *  I      (input) INTEGER
     *         The index of the eigenvalue to be computed.  I = 1 or I = 2.
     *
     *  D      (input) DOUBLE PRECISION array, dimension ( 2 )
     *         The original eigenvalues.  We assume 0 <= D(1) < D(2).
     *
     *  Z      (input) DOUBLE PRECISION array, dimension ( 2 )
     *         The components of the updating vector.
     *
     *  DELTA  (output) DOUBLE PRECISION array, dimension ( 2 )
     *         Contains (D(j) - sigma_I) in its  j-th component.
     *         The vector DELTA contains the information necessary
     *         to construct the eigenvectors.
     *
     *  RHO    (input) DOUBLE PRECISION
     *         The scalar in the symmetric updating formula.
     *
     *  DSIGMA (output) DOUBLE PRECISION
     *         The computed sigma_I, the I-th updated eigenvalue.
     *
     *  WORK   (workspace) DOUBLE PRECISION array, dimension ( 2 )
     *         WORK contains (D(j) + sigma_I) in its  j-th component.
     *
     *  Further Details
     *  ===============
     *
     *  Based on contributions by
     *     Ren-Cang Li, Computer Science Division, University of California
     *     at Berkeley, USA
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`DLASD5()`

Method Summary
`static void` | `DLASD5(int i, double[] d, double[] z, double[] delta, double rho, doubleW dsigma, double[] work)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLASD5

    public DLASD5()

Method Detail

### DLASD5

    public static void DLASD5(int i,
                              double[] d,
                              double[] z,
                              double[] delta,
                              double rho,
                              doubleW dsigma,
                              double[] work)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD